export type StationResponse = {
  error: string | null,
  preformatted: string[][],
  raw: Departure[],
  version: string
}

export type Departure = {
  countdown: string,
  date: string,
  delay: string,
  destination: string,
  info: string,
  is_cancelled: number,
  key: string,
  line: string,
  lineref: {
    direction: string,
    identifier: string,
    mot: string,
    name: string,
    operator: string,
    route: string,
    type: string,
    valid: string
  },
  mot: string,
  next_route: any[],
  occupancy: null,
  platform: string,
  platform_db: number,
  platform_name: string,
  prev_route: any[],
  sched_date: string,
  sched_time: string,
  time: string,
  train_no: null,
  type: string,
  internal: {
    stop: string
  }
}
