import {PanelTypes} from "../panels/_Panels";

export type LayoutConfig = {
  id: string,
  background?: string,
  schedule: LayoutSchedule,
  panels: PanelDefinition<any>[]
}

type LayoutSchedule = {
  always: true
} | {
  always?: false,
  times: {
    from: string,
    to: string
  }[]
}

export type PanelDefinition<T> = {
  type: PanelTypes,
  position: {
    x: number,
    y: number,
    w: number,
    h: number
  },
  config: T
}
